#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    kdevcompileroptions.h kdevvcsintegrator.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/tdevelop/interfaces/extras )

tde_create_translated_desktop(
  SOURCE tdevelopcompileroptions.desktop tdevelopvcsintegrator.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR}
  PO_DIR tdevelop-desktops
)


##### kdevextras (shared) #######################

tde_add_library( kdevextras SHARED AUTOMOC
  SOURCES kdevcompileroptions.cpp kdevvcsintegrator.cpp
  VERSION 0.0.0
  LINK ${TQT_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)
